org.eclipse.net4j.util.cache

## Interface ICacheMonitor.ConditionPolicy

- All Known Implementing Classes:
    HysteresisConditionPolicy, ThresholdConditionPolicy
  Enclosing interface:
    ICacheMonitor

      public static interface ICacheMonitor.ConditionPolicy

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICacheMonitor.Condition` | `getNewCondition(ICacheMonitor.Condition oldCondition)`

- - ### Method Detail

    - #### getNewCondition

          ICacheMonitor.Condition getNewCondition(ICacheMonitor.Condition oldCondition)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html